Subject: Re: bug#79455: "Value ‘1’ does not match type boolean" should mention which variable
From: Eli Zaretskii <[email-masked]>
To: "R. Diez" <[email-masked]>
Cc: [email-masked]
Date: Tue, 16 Sep 2025 15:13:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 16 Sep 2025 08:30:22 +0200
> From:  "R. Diez" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Hi all:
> 
> I recently upgraded from Emacs 29 to 30, and I got the following warning in the *Warnings* buffer:
> 
> Warning (emacs): Value ‘1’ does not match type boolean
> 
> I am no Lisp expert, but I still have accumulated a biggish configuration over the years, so it took me a while to find the culprit:
> 
> (setopt inhibit-startup-screen 1)
> 
> I then changed '1' to 't', and the problem went away.
> 
> The trouble is, I lost quite a lot of time to this trivial matter. I am thinking that other people could encounter the same issue and lose time too.
> 
> Could you mention the variable name in the error message? Like this:
> 
> Warning (emacs): When setting variable ‘whatever-variable’: Value ‘1’ does not match type boolean

Thanks, this is bug#73084, which is already fixed on the master branch
(which will eventually become Emacs 31).  On the master branch, Emacs
says this instead:

  Warning (emacs): Value ‘1’ for variable ‘inhibit-startup-screen’ does not match its type "boolean"

So I'm closing this bug.